Install

Via Conda

conda install -c conda-forge pyam

Via Pip

pip install pyam-iamc

From Source

git clone https://github.com/IAMconsortium/pyam && cd pyam
pip install -r requirements.txt && python setup.py install

Depedencies

The depedencies for pyam are:

numpy
pandas >=0.21.0
pyyaml
xlrd
xlsxwriter
matplotlib
seaborn
six
geopandas
cartopy

The depedencies for building this documentation are:

sphinxcontrib-bibtex
sphinxcontrib-fulltoc
sphinxcontrib-programoutput
sphinx-gallery
nbsphinx
numpydoc
cloud_sptheme
nbformat
ipython
jupyter
pillow